/* Copyright (C) 2002 Jacob Kroon, see COPYING for details */

#ifndef _NOGGER_H
#define _NOGGER_H

/* includes */
#include <gtk/gtkwidget.h>
#include <glib/gthread.h>

/* external functions */
extern gboolean gui_update(gpointer);
extern GtkWidget *tree_create(char *);
extern GtkWidget *toolbar_create(void);
extern GThread *ogg_play(char *);
extern void ogg_toggle_pause(void);
extern void ogg_toggle_random(void);
extern void ogg_get_times(int *, int *);
extern void ogg_jump_to(double);
extern void audio_open(int, int);
extern void audio_close(void);
extern void audio_write(char *, int);

#endif /* _NOGGER_H */
